%define debug_package %{nil}

Summary:    An application dock applet for the MATE panel
Name:       mate-dock-applet
Version:    0.76
Release:    %mkrel 1
Group:      Graphical desktop/MATE
License:    GPLv3
Url:        https://github.com/robint99/%{name}
Source0:    https://github.com/robint99/%{name}/archive/%{version}.tar.gz
BuildArch:  noarch

BuildRequires: python3
BuildRequires: pkgconfig(glib-2.0)

Requires: python3
Requires: mate-panel >= 1.16.0
Requires: python3-pyxdg
Requires: python3-cairo
Requires: python3-gobject3
Requires: python3-pillow

%description
MATE Dock Applet is a MATE Panel applet that displays
running application windows as icons. The applet features
options to pin applications to the dock, supports multiple
workspaces, and can be added to any MATE Panel, regardless
of size and orientation

%prep
%autosetup -n %{name}-%{version}
#Fix applet path, no includes libs so move to datadir
sed -i "s|libdir|datadir|g" src/Makefile.am

%build
aclocal
automake --add-missing
autoreconf

%configure2_5x --with-gtk3

%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/dbus-1/services/org.mate.panel.applet.DockAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.dock.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.DockApplet.mate-panel-applet
%dir %{_datadir}/mate-applets/%{name}
%{_datadir}/mate-applets/%{name}/*



%changelog
* Sat Feb 25 2017 tarakbumba <tarakbumba> 0.76-1.mga6
+ Revision: 1087792
- imported package mate-dock-applet

